TAU_STATIC_TIMER_STO(3)

Name
TAU_STATIC_TIMER_STOP - Starts a timer.

Synopsis

C/C++:

TAU_STATIC_TIMER_STOP(Profiler timer);

Fortran:

TAU_STATIC_TIMER_STOP(integer profiler(2));

Description

Starts a static timer defined by TAU_PROFILE.

Example

C/C++ :

    TAU_PROFILE("int foo(int) [{foo.cpp} {13,1}-{20,1}]", " ", TAU_USER);
    printf("inside foo: calling bar: x = %d\n", x);
    printf("before calling bar in foo\n");
    TAU_STATIC_TIMER_START("foo_bar");
    bar(x-1); /* 17 */
    printf("after calling bar in foo\n");
    TAU_STATIC_TIMER_STOP("foo_bar");

Fortran :

    call TAU_PROFILE_TIMER(profiler, 'FOO [{foo.f90} {8,18}]')
    call TAU_PROFILE_START(profiler)
    print *, "inside foo: calling bar, x = ", x
      call TAU_STATIC_TIMER_START("foo_bar");
        call bar(x-1)
      print *, "after calling bar"
        call TAU_STATIC_TIMER_STOP("foo_bar");
    call TAU_PROFILE_STOP(profiler)

See Also

TAU_PROFILE, TAU_STATIC_PHASE_START(3), TAU_STATIC_PHASE_STOP(3)